Processing Ordinary Kriging not generating Target Grid

2016-02-03 08:47 AM - Tomasz Nycz

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.12.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 22224

Description

Processing algorithm Ordinary Kriging (SAGA) is not generating Target Grid, only Quality Measure and Prediction.

Processing log:

ALGORITHM|2016-02-03

17:30:44|processing.runalg("saga:ordinarykriging","/home/mechanik/dev/qgis_process/swd_points_ksrg.shp","cost",0,True,True,100,-1,100,1,"a + b * x",0,1

00,1,"a + b * x",0,1000,0,4,20,0,"428448.438463,490264.553558,219769.747907,260299.978267",30,0,None,None)

SAGA 2.2.0, QGIS 2.12.3, Xubuntu 15.10

History

#1 - 2016-02-04 11:28 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

There are no other outputs in (since?) SAGA 2.2.0

SAGA Version: 2.2.0 (64 bit)

____________________

library path:    C:\\saga\\saga_2.2.0_x64\\modules\\

library name:    statistics_kriging

library     :    Kriging

tool        :    Ordinary Kriging

author      :    O.Conrad (c) 2008

processors  :    1 [1]

____________________

Usage: saga_cmd statistics_kriging 0 -POINTS <str> [-FIELD <str>] [-TQUALITY <str>] [-LOG <str>] [-BLOCK <str>] [-DBLOCK <str>] [-VAR_MAXDIST

<str>] [-VAR_NCLASSES <num>] [-VAR_NSKIP <num>] [-VAR_MODEL <str>] [-SEARCH_RANGE <str>] [-SEARCH_RADIUS <str>]

[-SEARCH_POINTS_ALL <str>] [-SEARCH_POINTS_MIN <num>] [-SEARCH_POINTS_MAX <num>] [-SEARCH_DIRECTION <str>]

[-TARGET_DEFINITION <str>] [-TARGET_USER_XMIN <str>] [-TARGET_USER_XMAX <str>] [-TARGET_USER_YMIN <str>]

[-TARGET_USER_YMAX <str>] [-TARGET_USER_SIZE <str>] [-TARGET_USER_FITS <str>] [-TARGET_TEMPLATE <str>] [-TARGET_PREDICTION

<str>] [-TARGET_VARIANCE <str>]

  -POINTS:<str>               Points

    Shapes (input)

  -FIELD:<str>                Attribute
    Table field

  -TQUALITY:<str>             Type of Quality Measure

    Choice

    Available Choices:

    [0] standard deviation

    [1] variance

    Default: 0

  -LOG:<str>                  Logarithmic Transformation

    Boolean

    Default: 0

  -BLOCK:<str>                Block Kriging

    Boolean

    Default: 0

  -DBLOCK:<str>               Block Size

    Floating point

    Minimum: 0.000000

    Default: 100.000000

  -VAR_MAXDIST:<str>          Maximum Distance

    Floating point

    Default: -1.000000

  -VAR_NCLASSES:<num>         Lag Distance Classes

    Integer

    Minimum: 1

    Default: 100

  -VAR_NSKIP:<num>            Skip

    Integer

    Minimum: 1

    Default: 1

  -VAR_MODEL:<str>            Model

    Text

    Default: a + b * x

  -SEARCH_RANGE:<str>         Search Range

    Choice

    Available Choices:

    [0] local

    [1] global

    Default: 0

  -SEARCH_RADIUS:<str>        Maximum Search Distance

    Floating point

    Minimum: 0.000000

    Default: 1000.000000

  -SEARCH_POINTS_ALL:<str>    Number of Points

    Choice

    Available Choices:

    [0] maximum number of nearest points

    [1] all points within search distance

    Default: 0

  -SEARCH_POINTS_MIN:<num>    Minimum

    Integer

    Minimum: 1

    Default: 16

  -SEARCH_POINTS_MAX:<num>    Maximum

    Integer
    Minimum: 1

    Default: 20

  -SEARCH_DIRECTION:<str>     Direction

    Choice

    Available Choices:

    [0] all directions

    [1] quadrants

    Default: 0

  -TARGET_DEFINITION:<str>    Target Grid System

    Choice

    Available Choices:

    [0] user defined

    [1] grid or grid system

    Default: 0

  -TARGET_USER_XMIN:<str>     Left

    Floating point

    Default: 0.000000

  -TARGET_USER_XMAX:<str>     Right

    Floating point

    Default: 100.000000

  -TARGET_USER_YMIN:<str>     Bottom

    Floating point

    Default: 0.000000

  -TARGET_USER_YMAX:<str>     Top

    Floating point

    Default: 100.000000

  -TARGET_USER_SIZE:<str>     Cellsize

    Floating point

    Minimum: 0.000000

    Default: 1.000000

  -TARGET_USER_FITS:<str>     Fit

    Choice

    Available Choices:

    [0] nodes

    [1] cells

    Default: 0

  -TARGET_TEMPLATE:<str>      Target System

    Grid (optional input)

  -TARGET_PREDICTION:<str>    Prediction

    Grid (output)

  -TARGET_VARIANCE:<str>      Quality Measure

    Grid (optional output)

2025-04-27 3/3


